| PUT | /RestApi/sitefinity/scheduling/scheduled-tasks |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class ManageScheduleTask
{
open var TaskId:String? = null
open var Operation:SchedulingTaskCommand? = null
open var Hash:String? = null
}
enum class SchedulingTaskCommand
{
Restart,
Stop,
Resume,
Delete,
Start,
}
Kotlin ManageScheduleTask DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/sitefinity/scheduling/scheduled-tasks HTTP/1.1
Host: www.imglobal.com
Accept: application/json
Content-Type: application/json
Content-Length: length
{"TaskId":"String","Operation":"Restart","Hash":"String"}